Subject: Re: [TCP bug, regression] stuck distcc connections in latest -git

From: Willy Tarreau <[email-masked]>
Date: Thu, 24 Jul 2008 15:01:56 +0200

On Thu, Jul 24, 2008 at 02:22:59AM -0700, David Miller wrote:
> 
> BTW, if someone can contact the Fedora folks, specifically whoever
> added that syncookies enable to /etc/sysctl.conf, and let them know
> that they've set our TCP stack back by 10 years by disabling SACK
> and timestamps, I'd really appreciate it.

But syn cookies should not trigger unless the syn backlog is full, right ?
Anyway, it would also explain why Ingo's running no default MSS (though
it should be correctly negociated by syn cookies).

willy